import { PropsWithChildren } from 'react';
import { IModalFormProps } from '../../modal/ModalForm';
import { IFormProps } from '../../form/Form';
import { IUseModalFormProps } from '@reactionable/core';
export interface ICreateProps<Values, Data> {
    modal?: Omit<IUseModalFormProps<IModalFormProps<Values, Data>>, 'form' | 'title'>;
    form: IFormProps<Values, Data>;
}
export declare function Create<Values, Data>({ modal: modalProps, children, form }: PropsWithChildren<ICreateProps<Values, Data>>): JSX.Element;
