import { IUseLayoutProps as ICoreUseLayoutProps, ILayoutProps as ICoreLayoutProps } from '@reactionable/core';
import { IHeaderProps } from './header/Header';
import { IBodyProps } from './body/Body';
import { IFooterProps } from './footer/Footer';
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps<IHeaderProps, IBodyProps, IFooterProps> & {};
export declare function useLayout(props: IUseLayoutProps): import("@reactionable/core").IUseLayoutResult;
