import { IHeaderProps as ICoreHeaderProps } from '@reactionable/core';
import { PropsWithChildren } from 'react';
import { NavbarProps } from 'react-bootstrap/Navbar';
import { INavItem } from '../../nav/NavItem';
export declare type IHeaderProps = ICoreHeaderProps<INavItem, NavbarProps>;
export declare function Header({ brand, navItems, ...navbarProps }: PropsWithChildren<IHeaderProps>): JSX.Element;
