import { FC } from 'react';
import { ILoaderProps as ICoreLoaderProps, IUseLoaderProps as ICoreUseLoaderProps, IUseLoader } from '@reactionable/core';
export declare type ILoaderProps = ICoreLoaderProps & {
    overlay?: boolean;
};
export declare const Loader: FC<ILoaderProps>;
export declare type IUseLoaderProps = ICoreUseLoaderProps & ILoaderProps;
export declare const useLoader: IUseLoader<IUseLoaderProps>;
