import { PureComponent } from 'react';
interface State {
    pageCount: number;
}
interface Props {
    currentPage: number;
    totalCount: number;
    perPage: number;
    pageRangeDisplayed?: number;
    marginPagesDisplayed?: number;
    onChange: (page: number) => void;
}
export declare class Paginator extends PureComponent<Props, State> {
    constructor(props: Props);
    render(): JSX.Element;
    private renderPagination;
    private renderPageLink;
    private handleFirstPage;
    private handlePreviousPage;
    private handleNextPage;
    private handleLastPage;
}
export {};
