import { IUIContextProviderProps as ICoreUIContextProviderProps, IUseLoaderProps } from '@reactionable/core';
import { IUseSuccessNotificationProps } from './notification/SuccessNotification';
import { IUseErrorNotificationProps } from './notification/ErrorNotification';
import { IUseErrorAlertProps } from './alert/ErrorAlert';
import { IUseWarningAlertProps } from './alert/WarningAlert';
import { IUseConfirmationProps } from './confirmation/Confirmation';
import { IUseLayoutProps } from './layout/Layout';
import { IUseModalFormProps } from './modal/ModalForm';
export declare type IUIContextProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseModalFormProps>;
export declare function useUIContext(): import("@reactionable/core").IUIContext<{
    isLoading?: boolean | undefined;
}, import("react").PropsWithChildren<import("@reactionable/core").INotificationProps>, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, import("react").PropsWithChildren<import("@reactionable/core").IConfirmationProps>, import("react").PropsWithChildren<import("@reactionable/core").ILayoutProps<import("@reactionable/core").IHeaderProps<import(".").INavItem, import("react-bootstrap/Navbar").NavbarProps>, import(".").IBodyProps, import(".").IFooterProps>>, IUseModalFormProps<any, any>>;
export declare function useUIContextProviderProps(): IUIContextProviderProps;
