"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@reactionable/core");
var Loader_1 = require("./loader/Loader");
var SuccessNotification_1 = require("./notification/SuccessNotification");
var ErrorNotification_1 = require("./notification/ErrorNotification");
var ErrorAlert_1 = require("./alert/ErrorAlert");
var WarningAlert_1 = require("./alert/WarningAlert");
var Confirmation_1 = require("./confirmation/Confirmation");
var Layout_1 = require("./layout/Layout");
var ModalForm_1 = require("./modal/ModalForm");
function useUIContext() {
    return core_1.useUIContext();
}
exports.useUIContext = useUIContext;
function useUIContextProviderProps() {
    return {
        useLoader: Loader_1.useLoader,
        useSuccessNotification: SuccessNotification_1.useSuccessNotification,
        useErrorNotification: ErrorNotification_1.useErrorNotification,
        useErrorAlert: ErrorAlert_1.useErrorAlert,
        useWarningAlert: WarningAlert_1.useWarningAlert,
        useConfirmation: Confirmation_1.useConfirmation,
        useLayout: Layout_1.useLayout,
        useModalForm: ModalForm_1.useModalForm,
    };
}
exports.useUIContextProviderProps = useUIContextProviderProps;
//# sourceMappingURL=UI.js.map