import { PropsWithChildren } from 'react';
import { IFormProps as ICoreFormProps, IOnSubmitForm as ICoreOnSubmitForm } from '@reactionable/core';
export declare type IFormProps<Values, Data> = ICoreFormProps<Values, Data>;
export declare type IOnSubmitForm<Values, Data> = ICoreOnSubmitForm<Values, Data>;
export declare function Form<Values, Data>({ children, ...props }: PropsWithChildren<IFormProps<Values, Data>>): JSX.Element;
