import { PropsWithChildren, DetailedHTMLProps, HTMLAttributes, FC } from 'react';
import { IFooterProps as ICoreFooterProps } from '@reactionable/core';
export declare type IFooterProps = ICoreFooterProps & Omit<DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>, 'onSelect'> & {
    sponsor?: boolean;
};
export declare function Footer({ brand, sponsor, ...footerProps }: PropsWithChildren<IFooterProps>): JSX.Element;
export declare const SponsorFooter: FC<{}>;
