"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
var Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
var Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
function Footer(_a) {
    var brand = _a.brand, _b = _a.sponsor, sponsor = _b === void 0 ? true : _b, footerProps = tslib_1.__rest(_a, ["brand", "sponsor"]);
    var t = react_i18next_1.useTranslation().t;
    var currentYear = new Date().getFullYear();
    footerProps.style = tslib_1.__assign({ position: 'absolute', bottom: 0, width: '100%', height: '60px', lineHeight: '60px' }, footerProps.style);
    return react_1.default.createElement("footer", tslib_1.__assign({}, footerProps),
        react_1.default.createElement(Container_1.default, null,
            react_1.default.createElement(Row_1.default, { className: "justify-content-between" },
                react_1.default.createElement(Col_1.default, null,
                    t('Copyright'),
                    " \u00A9 ",
                    currentYear,
                    " ",
                    brand),
                sponsor && react_1.default.createElement(Col_1.default, { className: "text-right" },
                    react_1.default.createElement(exports.SponsorFooter, null)))));
}
exports.Footer = Footer;
;
exports.SponsorFooter = function (_a) {
    var t = react_i18next_1.useTranslation().t;
    return react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("span", { title: t('Powered by') }, "\u26A1 by "),
        react_1.default.createElement("a", { href: "https://github.com/reactionable/reactionable", target: "_blank", title: t('Reactionable - An effective toolkit for React') }, "Reactionable"));
};
//# sourceMappingURL=Footer.js.map