import { PropsWithChildren } from 'react';
import { INavItemsProps, INavItemsContext } from '@reactionable/core';
import { INavItem } from '../../nav/NavItem';
export declare type ISidebarNavItem = INavItem;
export interface ISidebarProps extends INavItemsProps<ISidebarNavItem> {
}
export declare type ISidebarContext = INavItemsContext<ISidebarNavItem>;
export declare const SidebarContextProvider: ({ children, ...props }: import("react").PropsWithChildren<ISidebarProps>) => JSX.Element, useSidebarContext: () => INavItemsContext<INavItem>, SidebarContextConsumer: import("react").Consumer<INavItemsContext<INavItem>>;
export declare function Sidebar({ children, ...props }: PropsWithChildren<ISidebarProps>): JSX.Element;
export declare function setSidebarNavItems(navItems: Array<INavItem>): void;
