import { ReactElement, FC, PropsWithChildren } from 'react';
import { ModalProps } from 'react-bootstrap/Modal';
import { IModalProps as ICoreModalProps } from '@reactionable/core';
export declare type IModalProps = ICoreModalProps & ModalProps & {
    body?: ReactElement;
    footer?: ReactElement;
};
export declare type ModalComponent = FC<IModalProps>;
export declare const Modal: ModalComponent;
export declare type IUseModalProps = PropsWithChildren<IModalProps>;
export declare function useModal(props: IUseModalProps): import("@reactionable/core").IUseModalResult;
