import { FC } from 'react';
import { IError, IErrorNotificationProps as ICoreErrorNotificationProps, IUseErrorNotificationProps as ICoreUseErrorNotificationProps } from '@reactionable/core';
export declare type IErrorNotificationProps = ICoreErrorNotificationProps & {
    children?: IError;
    title?: string;
};
export declare const ErrorNotification: FC<IErrorNotificationProps>;
export declare type IUseErrorNotificationProps = ICoreUseErrorNotificationProps & IErrorNotificationProps;
export declare const useErrorNotification: (props: IErrorNotificationProps) => import("@reactionable/core").IUseErrorNotificationResult;
